
From: Santiago Leon <santil@us.ibm.com>

The attached patch makes the ibmveth driver indicate that its link is
always up rather than always down, thus allowing the userspace side of
booting to configure the network interface correctly.

Signed-Off-By: Santiago Leon <santil@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/ibmveth.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/ibmveth.c~make-ibmveth-link-always-up drivers/net/ibmveth.c
--- 25/drivers/net/ibmveth.c~make-ibmveth-link-always-up	2004-11-17 00:13:13.563964976 -0800
+++ 25-akpm/drivers/net/ibmveth.c	2004-11-17 00:13:13.567964368 -0800
@@ -598,7 +598,7 @@ static void netdev_get_drvinfo (struct n
 }
 
 static u32 netdev_get_link(struct net_device *dev) {
-	return 0;
+	return 1;
 }
 
 static struct ethtool_ops netdev_ethtool_ops = {
_
